Package rainbowPackage

# Class RainbowSoft2D

java.lang.Object
rainbowPackage.RainbowSoft2D

public class RainbowSoft2D extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `double[]`
  `argb`
  `double`
  `ColorBeingChecked`
  `double`
  `coreTranisitionVariable`
  `double`
  `coreVariableStill`
  `javafx.scene.paint.Color`
  `fxColor`
  `javafx.scene.paint.Color[]`
  `fxColorArray`
  `double`
  `numberOfTransitions`
  `double`
  `OpacityBeingChecked`
  `double`
  `originalFormulaValue`
  `RainbowPattern2D`
  `pattern2D`
  `RainbowSoftColor`
  `rainbowSoftColor`
  `RainbowSoftColorCodesSets`
  `rainbowSoftColorCodesSets`
  `double[]`
  `rgb`
  `double`
  `sliderValue`
  `javafx.scene.paint.Color`
  `tempColor`
  `ColorFader`
  `tempColorFader`
  `TransparencySlider`
  `tempTransparencySlider`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RainbowSoft2D()`
  `RainbowSoft2D(double[] ARGB)`
  `RainbowSoft2D(javafx.scene.paint.Color FXColor)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `javafx.scene.paint.Color`
  `Buddhism(double ColorsFactor, double LocationOfStillMovement, double LocationOfColorMovement, double SliderInterval, double FullSliderRunThrough, int x, int y, double RepeatFactor, double LengthOfColorBar, double SpiralFactor, double NumberOfSpirals, double SuckInExponentialness, double SuckInDivisor, double HalfSreenDiagionalLength, boolean Reversed, double BrightnessMultiplyer, int Gradations, double OpacityBefore, double OpacityAfter, boolean Adjusted, javafx.scene.image.PixelReader BasisPR, javafx.scene.image.PixelReader BackgroundBasisPR, javafx.scene.image.PixelReader OrigionalPR, Dimension Dim, String TypeOfDisplay, javafx.scene.paint.Color InitialColorContrastingChoice, javafx.scene.paint.Color ColorTooSimilarReplacementColor, double ColorDifference, boolean InvertBasisFromBackground, boolean ReversalOfBackgroundEffectsMaster, boolean NextStepColorTooSimilarEffect)`
  `double`
  `ColorValueFitter(double ColorToBeChecked)`
  `javafx.scene.paint.Color[]`
  `CustomColorsReverser(javafx.scene.paint.Color[] FXcolorArray)`
  `javafx.scene.paint.Color`
  `DisplayTypeDeterminer(String TypeOfDisplay, javafx.scene.paint.Color BasisColor, javafx.scene.paint.Color TextColor, boolean Reversed)`
  `javafx.scene.paint.Color`
  `DisplayTypeDeterminer(String TypeOfDisplay, javafx.scene.paint.Color BasisColor, javafx.scene.paint.Color BackgroundBasis, javafx.scene.paint.Color TextColor, boolean Reversed, boolean ReversalOfBackgroundEffectsMaster)`
  `javafx.scene.paint.Color`
  `FwaFlagLogoSplash(double ColorsFactor, double LocationOfStillMovement, double LocationOfColorMovement, double FullSliderRunThrough, int x, int y, double RepeatFactor, double HalfSreenDiagionalLength, boolean Reversed, double BrightnessMultiplyer, int Gradations, double OpacityBefore, double OpacityAfter, boolean Adjusted, javafx.scene.image.PixelReader BasisPR, javafx.scene.image.PixelReader BackgroundBasisPR, javafx.scene.image.PixelReader OrigionalPR, Dimension Dim, String TypeOfDisplay, javafx.scene.paint.Color InitialColorContrastingChoice, javafx.scene.paint.Color ColorTooSimilarReplacementColor, double ColorDifference, boolean InvertBasisFromBackground, boolean ReversalOfBackgroundEffectsMaster, boolean NextStepColorTooSimilarEffect)`
  `javafx.scene.paint.Color`
  `FwaLogoSplash(double ColorsFactor, double LocationOfStillMovement, double LocationOfColorMovement, double FullSliderRunThrough, int x, int y, double RepeatFactor, double HalfSreenDiagionalLength, boolean Reversed, double BrightnessMultiplyer, int Gradations, double OpacityBefore, double OpacityAfter, boolean Adjusted, javafx.scene.image.PixelReader BasisPR, javafx.scene.image.PixelReader BackgroundBasisPR, javafx.scene.image.PixelReader OrigionalPR, Dimension Dim, String TypeOfDisplay, javafx.scene.paint.Color InitialColorContrastingChoice, javafx.scene.paint.Color ColorTooSimilarReplacementColor, double ColorDifference, boolean InvertBasisFromBackground, boolean ReversalOfBackgroundEffectsMaster, boolean NextStepColorTooSimilarEffect)`
  `Object`
  `get()`
  `javafx.scene.paint.Color`
  `MagiElite(double ColorsFactor, double LocationOfStillMovement, double LocationOfColorMovement, double FullSliderRunThrough, int x, int y, double RepeatFactor, double SpiralFactor, double ShrunkenFactor, double NumberOfSpirals, double HalfSreenDiagionalLength, boolean Reversed, double BrightnessMultiplyer, int Gradations, double OpacityBefore, double OpacityAfter, boolean Adjusted, javafx.scene.image.PixelReader BasisPR, javafx.scene.image.PixelReader BackgroundBasisPR, javafx.scene.image.PixelReader OrigionalPR, Dimension Dim, String TypeOfDisplay, javafx.scene.paint.Color InitialColorContrastingChoice, javafx.scene.paint.Color ColorTooSimilarReplacementColor, double ColorDifference, boolean InvertBasisFromBackground, boolean ReversalOfBackgroundEffectsMaster, boolean NextStepColorTooSimilarEffect)`
  `javafx.scene.paint.Color`
  `NextColorDecide(javafx.scene.paint.Color FXColor, javafx.scene.paint.Color PatternColor, javafx.scene.paint.Color InitialColorContrastingChoice, javafx.scene.paint.Color ColorTooSimilarReplacementColor, double ColorDifference, boolean Reversed, boolean NextStepColorTooSimilarEffect, boolean InvertBasisFromBackground)`
  `double`
  `OpacityValueFitter(double OpacityToBeChecked)`
  `javafx.scene.paint.Color`
  `RainbowVideoTest(double ColorsFactor, double LocationOfStillMovement, double LocationOfColorMovement, double FullSliderRunThrough, int x, int y, double RepeatFactor, double SpiralFactor, double NumberOfSpirals, double HalfSreenDiagionalLength, boolean Reversed, double BrightnessMultiplyer, int Gradations, double OpacityBefore, double OpacityAfter, boolean Adjusted, javafx.scene.image.PixelReader BasisPR, javafx.scene.image.PixelReader BackgroundBasisPR, javafx.scene.image.PixelReader OrigionalPR, Dimension Dim, String TypeOfDisplay, javafx.scene.paint.Color InitialColorContrastingChoice, javafx.scene.paint.Color ColorTooSimilarReplacementColor, double ColorDifference, boolean InvertBasisFromBackground, boolean ReversalOfBackgroundEffectsMaster, boolean NextStepColorTooSimilarEffect)`
  `void`
  `set(double[] ARGB)`
  `void`
  `set(javafx.scene.paint.Color FXColor)`
  `javafx.scene.paint.Color`
  `ToFXColor()`
  `javafx.scene.paint.Color`
  `ToFXColor(double[] ARGB)`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### rgb

    public double[] rgb

  - ### argb

    public double[] argb

  - ### fxColor

    public javafx.scene.paint.Color fxColor

  - ### tempColor

    public javafx.scene.paint.Color tempColor

  - ### fxColorArray

    public javafx.scene.paint.Color[] fxColorArray

  - ### tempTransparencySlider

    public TransparencySlider tempTransparencySlider

  - ### tempColorFader

    public ColorFader tempColorFader

  - ### rainbowSoftColorCodesSets

    public RainbowSoftColorCodesSets rainbowSoftColorCodesSets

  - ### ColorBeingChecked

    public double ColorBeingChecked

  - ### OpacityBeingChecked

    public double OpacityBeingChecked

  - ### sliderValue

    public double sliderValue

  - ### originalFormulaValue

    public double originalFormulaValue

  - ### numberOfTransitions

    public double numberOfTransitions

  - ### coreVariableStill

    public double coreVariableStill

  - ### coreTranisitionVariable

    public double coreTranisitionVariable

  - ### rainbowSoftColor

    public RainbowSoftColor rainbowSoftColor

  - ### pattern2D

    public RainbowPattern2D pattern2D

- ## Constructor Details

  - ### RainbowSoft2D

    public RainbowSoft2D(javafx.scene.paint.Color FXColor)

  - ### RainbowSoft2D

    public RainbowSoft2D(double[] ARGB)

  - ### RainbowSoft2D

    public RainbowSoft2D()

- ## Method Details

  - ### ToFXColor

    public javafx.scene.paint.Color ToFXColor()

  - ### ToFXColor

    public javafx.scene.paint.Color ToFXColor(double[] ARGB)

  - ### Buddhism

    public javafx.scene.paint.Color Buddhism(double ColorsFactor, double LocationOfStillMovement, double LocationOfColorMovement, double SliderInterval, double FullSliderRunThrough, int x, int y, double RepeatFactor, double LengthOfColorBar, double SpiralFactor, double NumberOfSpirals, double SuckInExponentialness, double SuckInDivisor, double HalfSreenDiagionalLength, boolean Reversed, double BrightnessMultiplyer, int Gradations, double OpacityBefore, double OpacityAfter, boolean Adjusted, javafx.scene.image.PixelReader BasisPR, javafx.scene.image.PixelReader BackgroundBasisPR, javafx.scene.image.PixelReader OrigionalPR, Dimension Dim, String TypeOfDisplay, javafx.scene.paint.Color InitialColorContrastingChoice, javafx.scene.paint.Color ColorTooSimilarReplacementColor, double ColorDifference, boolean InvertBasisFromBackground, boolean ReversalOfBackgroundEffectsMaster, boolean NextStepColorTooSimilarEffect)

  - ### MagiElite

    public javafx.scene.paint.Color MagiElite(double ColorsFactor, double LocationOfStillMovement, double LocationOfColorMovement, double FullSliderRunThrough, int x, int y, double RepeatFactor, double SpiralFactor, double ShrunkenFactor, double NumberOfSpirals, double HalfSreenDiagionalLength, boolean Reversed, double BrightnessMultiplyer, int Gradations, double OpacityBefore, double OpacityAfter, boolean Adjusted, javafx.scene.image.PixelReader BasisPR, javafx.scene.image.PixelReader BackgroundBasisPR, javafx.scene.image.PixelReader OrigionalPR, Dimension Dim, String TypeOfDisplay, javafx.scene.paint.Color InitialColorContrastingChoice, javafx.scene.paint.Color ColorTooSimilarReplacementColor, double ColorDifference, boolean InvertBasisFromBackground, boolean ReversalOfBackgroundEffectsMaster, boolean NextStepColorTooSimilarEffect)

  - ### FwaLogoSplash

    public javafx.scene.paint.Color FwaLogoSplash(double ColorsFactor, double LocationOfStillMovement, double LocationOfColorMovement, double FullSliderRunThrough, int x, int y, double RepeatFactor, double HalfSreenDiagionalLength, boolean Reversed, double BrightnessMultiplyer, int Gradations, double OpacityBefore, double OpacityAfter, boolean Adjusted, javafx.scene.image.PixelReader BasisPR, javafx.scene.image.PixelReader BackgroundBasisPR, javafx.scene.image.PixelReader OrigionalPR, Dimension Dim, String TypeOfDisplay, javafx.scene.paint.Color InitialColorContrastingChoice, javafx.scene.paint.Color ColorTooSimilarReplacementColor, double ColorDifference, boolean InvertBasisFromBackground, boolean ReversalOfBackgroundEffectsMaster, boolean NextStepColorTooSimilarEffect)

  - ### FwaFlagLogoSplash

    public javafx.scene.paint.Color FwaFlagLogoSplash(double ColorsFactor, double LocationOfStillMovement, double LocationOfColorMovement, double FullSliderRunThrough, int x, int y, double RepeatFactor, double HalfSreenDiagionalLength, boolean Reversed, double BrightnessMultiplyer, int Gradations, double OpacityBefore, double OpacityAfter, boolean Adjusted, javafx.scene.image.PixelReader BasisPR, javafx.scene.image.PixelReader BackgroundBasisPR, javafx.scene.image.PixelReader OrigionalPR, Dimension Dim, String TypeOfDisplay, javafx.scene.paint.Color InitialColorContrastingChoice, javafx.scene.paint.Color ColorTooSimilarReplacementColor, double ColorDifference, boolean InvertBasisFromBackground, boolean ReversalOfBackgroundEffectsMaster, boolean NextStepColorTooSimilarEffect)

  - ### RainbowVideoTest

    public javafx.scene.paint.Color RainbowVideoTest(double ColorsFactor, double LocationOfStillMovement, double LocationOfColorMovement, double FullSliderRunThrough, int x, int y, double RepeatFactor, double SpiralFactor, double NumberOfSpirals, double HalfSreenDiagionalLength, boolean Reversed, double BrightnessMultiplyer, int Gradations, double OpacityBefore, double OpacityAfter, boolean Adjusted, javafx.scene.image.PixelReader BasisPR, javafx.scene.image.PixelReader BackgroundBasisPR, javafx.scene.image.PixelReader OrigionalPR, Dimension Dim, String TypeOfDisplay, javafx.scene.paint.Color InitialColorContrastingChoice, javafx.scene.paint.Color ColorTooSimilarReplacementColor, double ColorDifference, boolean InvertBasisFromBackground, boolean ReversalOfBackgroundEffectsMaster, boolean NextStepColorTooSimilarEffect)

  - ### DisplayTypeDeterminer

    public javafx.scene.paint.Color DisplayTypeDeterminer(String TypeOfDisplay, javafx.scene.paint.Color BasisColor, javafx.scene.paint.Color TextColor, boolean Reversed)

  - ### DisplayTypeDeterminer

    public javafx.scene.paint.Color DisplayTypeDeterminer(String TypeOfDisplay, javafx.scene.paint.Color BasisColor, javafx.scene.paint.Color BackgroundBasis, javafx.scene.paint.Color TextColor, boolean Reversed, boolean ReversalOfBackgroundEffectsMaster)

  - ### NextColorDecide

    public javafx.scene.paint.Color NextColorDecide(javafx.scene.paint.Color FXColor, javafx.scene.paint.Color PatternColor, javafx.scene.paint.Color InitialColorContrastingChoice, javafx.scene.paint.Color ColorTooSimilarReplacementColor, double ColorDifference, boolean Reversed, boolean NextStepColorTooSimilarEffect, boolean InvertBasisFromBackground)

  - ### CustomColorsReverser

    public javafx.scene.paint.Color[] CustomColorsReverser(javafx.scene.paint.Color[] FXcolorArray)

  - ### ColorValueFitter

    public double ColorValueFitter(double ColorToBeChecked)

  - ### OpacityValueFitter

    public double OpacityValueFitter(double OpacityToBeChecked)

  - ### set

    public void set(double[] ARGB)

  - ### set

    public void set(javafx.scene.paint.Color FXColor)

  - ### get

    public Object get()